Bug 855278 - I'm getting jQuery error when adding command includes "??" into the sudo commands field in IPA web interface.
Summary: I'm getting jQuery error when adding command includes "??" into the sudo comm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-07 08:00 UTC by Petr Ruzicka
Modified: 2018-12-01 18:09 UTC (History)
6 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Identity Management Web UI used an jQuery library raising errors when processing Directory Server records with some strings (e.g. SUDO commands with "??" string in its name). Consequence: Web UI was not able to show, modify or add such records. Fix: jQuery library was updated to newer version where the bug was fixed. Result: Identity Management Web UI is no longer reporting errors for such strings and processes them correctly.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:19:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Video showing the bug. (1.56 MB, video/x-msvideo)
2012-09-07 08:00 UTC, Petr Ruzicka
no flags Details
jQuery error fixed (78.76 KB, image/png)
2013-01-28 17:26 UTC, Varun Mylaraiah
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Petr Ruzicka 2012-09-07 08:00:30 UTC
Created attachment 610651 [details]
Video showing the bug.

*** Description of problem:
I can't add the following command into sudo command list:

echo "??" > /tmp/test


*** Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.x86_64


*** How reproducible:
See the steps below


*** Steps to Reproduce:
1. Go to IPA WEB-GUI
2. Select Policy -> Sudo -> Sudo commands -> Add 
3. Add sudo command: echo "??" > /tmp/test 
4. Click add
  

*** Actual results:
Currently I'm getting error "jQuery15208158273949015573_1346241267446 was not called". 

*** Expected results:
The command should be saved without any error.

*** Additional info:
I can see the other IPA forms has also problems with "??" (like adding sudo rules).

Comment 2 Petr Ruzicka 2012-09-07 08:20:10 UTC
Hello.

I can add the command through command line:

# ipa sudocmd-add "echo '??' > /tmp/test"
------------------------------------------
Added Sudo Command "echo '??' > /tmp/test"
------------------------------------------
  Sudo Command: echo '??' > /tmp/test


-> but the web gui is still showing the jQuery error.

Regards

PetrR

Comment 3 Petr Vobornik 2012-09-07 10:37:13 UTC
This is an error of bundled jquery library in IPA 2.2. Upstream version: FreeIPA 3.0 contains newer version so there isn't this problem.

Updating to jquery-1-7-1.js fixes this problem but it introduces another in sshkey_widget so setting of ssh public keys stop working.

Comment 6 Dmitri Pal 2012-09-11 15:36:08 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3073

Comment 8 Namita Soman 2012-09-13 18:17:12 UTC
This is not a valid bug for 6.4, but proposing as hotfix for 6.3

Comment 9 Petr Vobornik 2012-09-18 11:43:52 UTC
Fixed upstream.
ipa-2-2: 08e3fbb3b6c1c043feda6d72e50a8d35c482098c

Comment 11 Varun Mylaraiah 2013-01-28 17:25:14 UTC
verified using ipa-server-3.0.0-22.el6.x86_64

Now we can add the following command into sudo command list:echo "??" > /tmp/test


1. Go to IPA WEB-GUI
2. Select Policy -> Sudo -> Sudo commands -> Add 
3. Add sudo command: echo "??" > /tmp/test 
4. Click add

Comment 12 Varun Mylaraiah 2013-01-28 17:26:08 UTC
Created attachment 689144 [details]
jQuery error fixed

Comment 14 errata-xmlrpc 2013-02-21 09:19:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.